# Uses of Enum Class
org.bukkit.SoundCategory

Packages that use SoundCategory
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of SoundCategory in org.bukkit

Methods in org.bukkit that return SoundCategory
Modifier and Type
Method
Description
`static SoundCategory`
SoundCategory.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SoundCategory[]`
SoundCategory.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type SoundCategory
Modifier and Type
Method
Description
`void`
World.`playSound(@NotNull Entity entity, @NotNull Sound sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a Sound at the location of the provided entity in the World.
`void`
World.`playSound(@NotNull Location location, @NotNull String sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a Sound at the provided Location in the World.
`void`
World.`playSound(@NotNull Location location, @NotNull Sound sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a Sound at the provided Location in the World.

## Uses of SoundCategory in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type SoundCategory
Modifier and Type
Method
Description
`void`
Player.`playSound(@NotNull Entity entity, @NotNull Sound sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a sound for a player at the location of the entity.
`void`
Player.`playSound(@NotNull Location location, @NotNull String sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a sound for a player at the location.
`void`
Player.`playSound(@NotNull Location location, @NotNull Sound sound, @NotNull SoundCategory category, float volume, float pitch)`
Play a sound for a player at the location.
`void`
Player.`stopSound(@NotNull String sound, @Nullable SoundCategory category)`
Stop the specified sound from playing.
`void`
Player.`stopSound(@NotNull SoundCategory category)`
Stop the specified sound category from playing.
`void`
Player.`stopSound(@NotNull Sound sound, @Nullable SoundCategory category)`
Stop the specified sound from playing.

## Uses of SoundCategory in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return SoundCategory
Modifier and Type
Method
Description
`SoundCategory`
EntityDeathEvent.`getDeathSoundCategory()`
Get the sound category that the death sound should play in
Methods in org.bukkit.event.entity with parameters of type SoundCategory
Modifier and Type
Method
Description
`void`
EntityDeathEvent.`setDeathSoundCategory(SoundCategory soundCategory)`
Set the sound category that the death sound should play in.